## r-cran-seurat 5.1.0

=== DESCRIPTION ===
Package: Seurat
Version: 5.1.0
Date: 2024-05-08
Title: Tools for Single Cell Genomics
Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
Authors@R: c(
  person(given = "Andrew", family = "Butler", email = "abutler@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-3608-0463")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = 'David', family = 'Collins', email = 'dcollins@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-9243-7821')),
  person(given = "Charlotte", family = "Darby", email = "cdarby@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-2195-5300")),
  person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
  person(given = "Isabella", family = "Grabski", email = "igrabski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-0616-5469")),
  person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
  person(given = "Austin", family = "Hartman", email = "ahartman@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-7278-1852")),
  person(given = "Paul", family = "Hoffman", email = "hoff0792@umn.edu", role = "ctb", comment = c(ORCID = "0000-0002-7693-8957")),
  person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
  person(given = "Longda", family = "Jiang", email = "ljiang@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-4964-6497")),
  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
  person(given = "Skylar", family = "Li", email = "sli@nygenome.org", role = "ctb"),
  person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-8628-5056')),
  person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
  person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
  person(given = "Rahul", family = "Satija", email = "seurat@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-9448-8833")),
  person(given = "Karthik", family = "Shekhar", email = "kshekhar@berkeley.edu", role = "ctb"),
  person(given = "Avi", family = "Srivastava", email = "asrivastava@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9798-2079")),
  person(given = "Tim", family = "Stuart", email = "tstuart@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-3044-0897")),
  person(given = "Kristof", family = "Torkenczy", email = "", role = "ctb", comment = c(ORCID = "0000-0002-4869-7957")),
  person(given = "Shiwei", family = "Zheng", email = "szheng@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6682-6743")),
  person("Satija Lab and Collaborators", role = "fnd")
  )
URL: https://satijalab.org/seurat, https://github.com/satijalab/seurat
BugReports: https://github.com/satijalab/seurat/issues
Additional_repositories: https://satijalab.r-universe.dev,
        https://bnprks.r-universe.dev
Depends: R (>= 4.0.0), methods, SeuratObject (>= 5.0.2)
Imports: cluster, cowplot, fastDummies, fitdistrplus, future,
        future.apply, generics (>= 0.1.3), ggplot2 (>= 3.3.0), ggrepel,
        ggridges, graphics, grDevices, grid, httr, ica, igraph, irlba,
        jsonlite, KernSmooth, leiden (>= 0.3.1), lifecycle, lmtest,
        MASS, Matrix (>= 1.5-0), matrixStats, miniUI, patchwork,
        pbapply, plotly (>= 4.9.0), png, progressr, purrr, RANN,
        RColorBrewer, Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18), RcppHNSW,
        reticulate, rlang, ROCR, RSpectra, Rtsne, scales, scattermore
        (>= 1.2), sctransform (>= 0.4.1), shiny, spatstat.explore,
        spatstat.geom, stats, tibble, tools, utils, uwot (>= 0.1.10)
LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
License: MIT + file LICENSE
LazyData: true
Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
        'visualization.R' 'convenience.R' 'data.R'
        'differential_expression.R' 'dimensional_reduction.R'
        'integration.R' 'zzz.R' 'integration5.R' 'mixscape.R'
        'objects.R' 'preprocessing.R' 'preprocessing5.R' 'roxygen.R'
        'sketching.R' 'tree.R' 'utilities.R'
RoxygenNote: 7.3.1
Encoding: UTF-8
Suggests: ape, arrow, BPCells, rsvd, testthat, hdf5r, S4Vectors,
        SummarizedExperiment, SingleCellExperiment, MAST, DESeq2,
        BiocGenerics, GenomicRanges, GenomeInfoDb, IRanges,
        rtracklayer, Rfast2, monocle, Biobase, VGAM, limma, metap,
        enrichR, mixtools, ggrastr, data.table, R.utils, presto,
        DelayedArray, harmony
NeedsCompilation: yes
Packaged: 2024-05-10 12:49:30 UTC; collinsd
Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
  Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
  David Collins [ctb] (<https://orcid.org/0000-0001-9243-7821>),
  Charlotte Darby [ctb] (<https://orcid.org/0000-0003-2195-5300>),
  Jeff Farrell [ctb],
  Isabella Grabski [ctb] (<https://orcid.org/0000-0002-0616-5469>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>),
  Austin Hartman [ctb] (<https://orcid.org/0000-0001-7278-1852>),
  Paul Hoffman [ctb] (<https://orcid.org/0000-0002-7693-8957>),
  Jaison Jain [ctb] (<https://orcid.org/0000-0002-9478-5018>),
  Longda Jiang [ctb] (<https://orcid.org/0000-0003-4964-6497>),
  Madeline Kowalski [ctb] (<https://orcid.org/0000-0002-5655-7620>),
  Skylar Li [ctb],
  Gesmira Molla [ctb] (<https://orcid.org/0000-0002-8628-5056>),
  Efthymia Papalexi [ctb] (<https://orcid.org/0000-0001-5898-694X>),
  Patrick Roelli [ctb],
  Rahul Satija [aut, cre] (<https://orcid.org/0000-0001-9448-8833>),
  Karthik Shekhar [ctb],
  Avi Srivastava [ctb] (<https://orcid.org/0000-0001-9798-2079>),
  Tim Stuart [ctb] (<https://orcid.org/0000-0002-3044-0897>),
  Kristof Torkenczy [ctb] (<https://orcid.org/0000-0002-4869-7957>),
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Satija Lab and Collaborators [fnd]
Maintainer: Rahul Satija <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2024-05-10 17:23:17 UTC

=== debian/changelog ===
r-cran-seurat (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 08:37:35 +0900

=== debian/control ===
Source: r-cran-seurat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-seuratobject (>= 5.0.2),
               r-cran-cluster,
               r-cran-cowplot,
               r-cran-fastdummies,
               r-cran-fitdistrplus,
               r-cran-future,
               r-cran-future.apply,
               r-cran-generics (>= 0.1.3),
               r-cran-ggplot2,
               r-cran-ggrepel,
               r-cran-ggridges,
               r-cran-httr,
               r-cran-ica,
               r-cran-igraph,
               r-cran-irlba,
               r-cran-jsonlite,
               r-cran-kernsmooth,
               r-cran-leiden,
               r-cran-lifecycle,
               r-cran-lmtest,
               r-cran-mass,
               r-cran-matrix (>= 1.5-0),
               r-cran-matrixstats,
               r-cran-miniui,
               r-cran-patchwork,
               r-cran-pbapply,
               r-cran-plotly,
               r-cran-png,
               r-cran-progressr,
               r-cran-purrr,
               r-cran-rann,
               r-cran-rcolorbrewer,
               r-cran-rcpp (>= 1.0.7),
               r-cran-rcppannoy,
               r-cran-rcpphnsw,
               r-cran-reticulate,
               r-cran-rlang,
               r-cran-rocr,
               r-cran-rspectra,
               r-cran-rtsne,
               r-cran-scales,
               r-cran-scattermore (>= 1.2),
               r-cran-sctransform (>= 0.4.1),
               r-cran-shiny,
               r-cran-spatstat.explore,
               r-cran-spatstat.geom,
               r-cran-tibble,
               r-cran-uwot,
               r-cran-rcppeigen,
               r-cran-rcppprogress
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
Homepage: https://cran.r-project.org/package=Seurat
Rules-Requires-Root: no

Package: r-cran-seurat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for Single Cell Genomics
 A toolkit for quality control, analysis, and exploration of single cell
 RNA sequencing data. 'Seurat' aims to enable users to identify and
 interpret sources of heterogeneity from single cell transcriptomic
 measurements, and to integrate diverse types of single cell data. See
 Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
 Macosko E, Basu A, Satija R, et al (2015)
 <doi:10.1016/j.cell.2015.05.002>, and Butler A and Satija R (2017)
 <doi:10.1101/164889> for more details.

## r-cran-seurat 5.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Package: Seurat
-Version: 5.1.0
-Date: 2024-05-08
+Version: 5.2.1
 Title: Tools for Single Cell Genomics
 Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
 Authors@R: c(
@@ -29,6 +28,7 @@
   person(given = "Shiwei", family = "Zheng", email = "szheng@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6682-6743")),
   person("Satija Lab and Collaborators", role = "fnd")
   )
+License: MIT + file LICENSE
 URL: https://satijalab.org/seurat, https://github.com/satijalab/seurat
 BugReports: https://github.com/satijalab/seurat/issues
 Additional_repositories: https://satijalab.r-universe.dev,
@@ -37,32 +37,32 @@
 Imports: cluster, cowplot, fastDummies, fitdistrplus, future,
         future.apply, generics (>= 0.1.3), ggplot2 (>= 3.3.0), ggrepel,
         ggridges, graphics, grDevices, grid, httr, ica, igraph, irlba,
-        jsonlite, KernSmooth, leiden (>= 0.3.1), lifecycle, lmtest,
-        MASS, Matrix (>= 1.5-0), matrixStats, miniUI, patchwork,
-        pbapply, plotly (>= 4.9.0), png, progressr, purrr, RANN,
-        RColorBrewer, Rcpp (>= 1.0.7), RcppAnnoy (>= 0.0.18), RcppHNSW,
-        reticulate, rlang, ROCR, RSpectra, Rtsne, scales, scattermore
-        (>= 1.2), sctransform (>= 0.4.1), shiny, spatstat.explore,
-        spatstat.geom, stats, tibble, tools, utils, uwot (>= 0.1.10)
+        jsonlite, KernSmooth, leidenbase, lifecycle, lmtest, MASS,
+        Matrix (>= 1.5-0), matrixStats, miniUI, patchwork, pbapply,
+        plotly (>= 4.9.0), png, progressr, RANN, RColorBrewer, Rcpp (>=
+        1.0.7), RcppAnnoy (>= 0.0.18), RcppHNSW, reticulate, rlang,
+        ROCR, RSpectra, Rtsne, scales, scattermore (>= 1.2),
+        sctransform (>= 0.4.1), shiny, spatstat.explore, spatstat.geom,
+        stats, tibble, tools, utils, uwot (>= 0.1.10)
+Suggests: ape, arrow, Biobase, BiocGenerics, BPCells, data.table,
+        DESeq2, DelayedArray, enrichR, GenomicRanges, GenomeInfoDb,
+        glmGamPoi, ggrastr, harmony, hdf5r, IRanges, limma, MAST,
+        metap, mixtools, monocle, presto, rsvd, R.utils, Rfast2,
+        rtracklayer, S4Vectors, sf (>= 1.0.0), SingleCellExperiment,
+        SummarizedExperiment, testthat, VGAM
 LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
-License: MIT + file LICENSE
+BuildManual: true
+Encoding: UTF-8
 LazyData: true
+RoxygenNote: 7.3.2
 Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
         'visualization.R' 'convenience.R' 'data.R'
         'differential_expression.R' 'dimensional_reduction.R'
         'integration.R' 'zzz.R' 'integration5.R' 'mixscape.R'
         'objects.R' 'preprocessing.R' 'preprocessing5.R' 'roxygen.R'
         'sketching.R' 'tree.R' 'utilities.R'
-RoxygenNote: 7.3.1
-Encoding: UTF-8
-Suggests: ape, arrow, BPCells, rsvd, testthat, hdf5r, S4Vectors,
-        SummarizedExperiment, SingleCellExperiment, MAST, DESeq2,
-        BiocGenerics, GenomicRanges, GenomeInfoDb, IRanges,
-        rtracklayer, Rfast2, monocle, Biobase, VGAM, limma, metap,
-        enrichR, mixtools, ggrastr, data.table, R.utils, presto,
-        DelayedArray, harmony
 NeedsCompilation: yes
-Packaged: 2024-05-10 12:49:30 UTC; collinsd
+Packaged: 2025-01-23 17:11:30 UTC; root
 Author: Andrew Butler [ctb] (<https://orcid.org/0000-0003-3608-0463>),
   Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
   David Collins [ctb] (<https://orcid.org/0000-0001-9243-7821>),
@@ -89,4 +89,4 @@
   Satija Lab and Collaborators [fnd]
 Maintainer: Rahul Satija <seurat@nygenome.org>
 Repository: CRAN
-Date/Publication: 2024-05-10 17:23:17 UTC
+Date/Publication: 2025-01-24 06:50:06 UTC

=== debian/changelog ===
r-cran-seurat (5.2.1-5) unstable; urgency=medium

  * Team upload.
  * Rebuild on recent R and Matrix.
  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Apr 2025 13:46:40 +0900

r-cran-seurat (5.2.1-4) unstable; urgency=medium

  * Team upload.
  * d/test/control: skip autopkgtests on s390x and riscv64. Closes: #1091919

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 15 Feb 2025 14:39:29 +0100

r-cran-seurat (5.2.1-3) unstable; urgency=medium

  * Team upload.
  * autodep8 configuration: use equals sign, no colon.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 31 Jan 2025 14:24:23 +0100

r-cran-seurat (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Skip the autopkgtests on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Jan 2025 14:05:58 +0100

r-cran-seurat (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 17:11:51 +0900

r-cran-seurat (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 11:09:04 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                r-cran-irlba,
                r-cran-jsonlite,
                r-cran-kernsmooth,
-               r-cran-leiden,
+               r-cran-leidenbase,
                r-cran-lifecycle,
                r-cran-lmtest,
                r-cran-mass,
@@ -36,7 +36,6 @@
                r-cran-plotly,
                r-cran-png,
                r-cran-progressr,
-               r-cran-purrr,
                r-cran-rann,
                r-cran-rcolorbrewer,
                r-cran-rcpp (>= 1.0.7),
@@ -57,7 +56,7 @@
                r-cran-uwot,
                r-cran-rcppeigen,
                r-cran-rcppprogress
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ape,
        r-bioc-biobase,
        r-bioc-biocgenerics,
        r-cran-data.table,
        r-bioc-deseq2,
        r-bioc-delayedarray,
        r-bioc-genomicranges,
        r-bioc-genomeinfodb,
        r-bioc-glmgampoi,
        r-cran-ggrastr,
        r-cran-hdf5r,
        r-bioc-iranges,
        r-bioc-limma,
        r-cran-metap,
        r-cran-mixtools,
        r-bioc-monocle,
        r-cran-rsvd,
        r-cran-r.utils,
        r-bioc-rtracklayer,
        r-bioc-s4vectors,
        r-cran-sf (>= 1.0-0),
        r-bioc-singlecellexperiment,
        r-bioc-summarizedexperiment,
        r-cran-testthat,
        r-cran-vgam
Restrictions: allow-stderr
Architecture: !i386 !armel !armhf !riscv64 !s390x

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Seurat_([-\d.]*)\.tar\.gz

## r-cran-seurat 5.4.0

=== DESCRIPTION ===
Package: Seurat
Version: 5.4.0
Title: Tools for Single Cell Genomics
Description: A toolkit for quality control, analysis, and exploration of single cell RNA sequencing data. 'Seurat' aims to enable users to identify and interpret sources of heterogeneity from single cell transcriptomic measurements, and to integrate diverse types of single cell data. See Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>, and Hao, Hao, et al (2020) <doi:10.1101/2020.10.12.335331> for more details.
Authors@R: c(
  person(given = "Andrew", family = "Butler", email = "abutler@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-3608-0463")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = 'David', family = 'Collins', email = 'dcollins@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-9243-7821')),
  person(given = "Charlotte", family = "Darby", email = "cdarby@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-2195-5300")),
  person(given = "Jeff", family = "Farrell", email = "jfarrell@g.harvard.edu", role = "ctb"),
  person(given = "Isabella", family = "Grabski", email = "igrabski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-0616-5469")),
  person(given = "Christoph", family = "Hafemeister", email = "chafemeister@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6365-8254")),
  person(given = "Yuhan", family = "Hao", email = "yhao@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-1810-0822")),
  person(given = "Austin", family = "Hartman", email = "ahartman@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-7278-1852")),
  person(given = "Paul", family = "Hoffman", email = "hoff0792@umn.edu", role = "ctb", comment = c(ORCID = "0000-0002-7693-8957")),
  person(given = "Jaison", family = "Jain", email = "jjain@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-9478-5018")),
  person(given = "Longda", family = "Jiang", email = "ljiang@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-4964-6497")),
  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
  person(given = "Skylar", family = "Li", email = "sli@nygenome.org", role = "ctb"),
  person(given = "Brian", family = "Zhang", email = "brianzhang@nygenome.org", role = "ctb"),
  person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-8628-5056')),
  person(given = "Efthymia", family = "Papalexi", email = "epapalexi@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5898-694X")),
  person(given = "Patrick", family = "Roelli", email = "proelli@nygenome.org", role = "ctb"),
  person(given = "Rahul", family = "Satija", email = "seurat@nygenome.org", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-9448-8833")),
  person(given = "Karthik", family = "Shekhar", email = "kshekhar@berkeley.edu", role = "ctb"),
  person(given = "Anagha", family = "Shenoy", email = "ashenoy@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-0537-6862")),
  person(given = "Avi", family = "Srivastava", email = "asrivastava@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-9798-2079")),
  person(given = "Tim", family = "Stuart", email = "tstuart@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-3044-0897")),
  person(given = "Kristof", family = "Torkenczy", email = "", role = "ctb", comment = c(ORCID = "0000-0002-4869-7957")),
  person(given = "Brian", family = "Zhang", email = "brianzhang@nygenome.org", role = "ctb"),
  person(given = "Shiwei", family = "Zheng", email = "szheng@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-6682-6743")),
  person("Satija Lab and Collaborators", role = "fnd")
  )
License: MIT + file LICENSE
URL: https://satijalab.org/seurat, https://github.com/satijalab/seurat
BugReports: https://github.com/satijalab/seurat/issues
Additional_repositories: https://satijalab.r-universe.dev,
        https://bnprks.r-universe.dev
Depends: R (>= 4.0.0), methods, SeuratObject (>= 5.0.2)
Imports: cluster, cowplot, fastDummies, fitdistrplus, future,
        future.apply, generics (>= 0.1.3), ggplot2 (>= 3.3.0), ggrepel,
        ggridges, graphics, grDevices, grid, httr, ica, igraph, irlba,
        jsonlite, KernSmooth, lifecycle, lmtest, MASS, Matrix (>=
        1.5-0), matrixStats, miniUI, patchwork, pbapply, plotly (>=
        4.9.0), png, progressr, RANN, RColorBrewer, Rcpp (>= 1.0.7),
        RcppAnnoy (>= 0.0.18), RcppHNSW, reticulate, rlang, ROCR,
        RSpectra, Rtsne, scales, scattermore (>= 1.2), sctransform (>=
        0.4.1), shiny, spatstat.explore, spatstat.geom, stats, tibble,
        tools, utils, uwot (>= 0.1.10)
Suggests: ape, arrow, base64enc, Biobase, BiocGenerics, BPCells,
        data.table, DESeq2, DelayedArray, enrichR, GenomicRanges,
        GenomeInfoDb, glmGamPoi, ggrastr, harmony, hdf5r, IRanges,
        leidenbase, limma, magrittr, MAST, metap, mixtools, monocle,
        presto, rsvd, R.utils, Rfast2, rtracklayer, S4Vectors, sf (>=
        1.0.0), sp, SingleCellExperiment, SummarizedExperiment,
        testthat, VGAM
LinkingTo: Rcpp (>= 0.11.0), RcppEigen, RcppProgress
BuildManual: true
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
Collate: 'RcppExports.R' 'reexports.R' 'generics.R' 'clustering.R'
        'visualization.R' 'convenience.R' 'data.R'
        'differential_expression.R' 'dimensional_reduction.R'
        'integration.R' 'zzz.R' 'integration5.R' 'mixscape.R'
        'objects.R' 'preprocessing.R' 'preprocessing5.R' 'roxygen.R'
        'sketching.R' 'tree.R' 'utilities.R'
NeedsCompilation: yes
Packaged: 2025-12-13 18:33:13 UTC; root
Author: Andrew Butler [ctb] (ORCID: <https://orcid.org/0000-0003-3608-0463>),
  Saket Choudhary [ctb] (ORCID: <https://orcid.org/0000-0001-5202-7633>),
  David Collins [ctb] (ORCID: <https://orcid.org/0000-0001-9243-7821>),
  Charlotte Darby [ctb] (ORCID: <https://orcid.org/0000-0003-2195-5300>),
  Jeff Farrell [ctb],
  Isabella Grabski [ctb] (ORCID: <https://orcid.org/0000-0002-0616-5469>),
  Christoph Hafemeister [ctb] (ORCID:
    <https://orcid.org/0000-0001-6365-8254>),
  Yuhan Hao [ctb] (ORCID: <https://orcid.org/0000-0002-1810-0822>),
  Austin Hartman [ctb] (ORCID: <https://orcid.org/0000-0001-7278-1852>),
  Paul Hoffman [ctb] (ORCID: <https://orcid.org/0000-0002-7693-8957>),
  Jaison Jain [ctb] (ORCID: <https://orcid.org/0000-0002-9478-5018>),
  Longda Jiang [ctb] (ORCID: <https://orcid.org/0000-0003-4964-6497>),
  Madeline Kowalski [ctb] (ORCID:
    <https://orcid.org/0000-0002-5655-7620>),
  Skylar Li [ctb],
  Brian Zhang [ctb],
  Gesmira Molla [ctb] (ORCID: <https://orcid.org/0000-0002-8628-5056>),
  Efthymia Papalexi [ctb] (ORCID:
    <https://orcid.org/0000-0001-5898-694X>),
  Patrick Roelli [ctb],
  Rahul Satija [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-9448-8833>),
  Karthik Shekhar [ctb],
  Anagha Shenoy [ctb] (ORCID: <https://orcid.org/0000-0002-0537-6862>),
  Avi Srivastava [ctb] (ORCID: <https://orcid.org/0000-0001-9798-2079>),
  Tim Stuart [ctb] (ORCID: <https://orcid.org/0000-0002-3044-0897>),
  Kristof Torkenczy [ctb] (ORCID:
    <https://orcid.org/0000-0002-4869-7957>),
  Brian Zhang [ctb],
  Shiwei Zheng [ctb] (ORCID: <https://orcid.org/0000-0001-6682-6743>),
  Satija Lab and Collaborators [fnd]
Maintainer: Rahul Satija <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2025-12-14 07:20:02 UTC

=== debian/changelog ===
r-cran-seurat (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for the MIT relicensing of 4.0.6

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Jan 2026 17:34:22 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-fitdistrplus,
                r-cran-future,
                r-cran-future.apply,
-               r-cran-generics (>= 0.1.3),
+               r-cran-generics,
                r-cran-ggplot2,
                r-cran-ggrepel,
                r-cran-ggridges,
@@ -24,11 +24,10 @@
                r-cran-irlba,
                r-cran-jsonlite,
                r-cran-kernsmooth,
-               r-cran-leidenbase,
                r-cran-lifecycle,
                r-cran-lmtest,
                r-cran-mass,
-               r-cran-matrix (>= 1.5-0),
+               r-cran-matrix,
                r-cran-matrixstats,
                r-cran-miniui,
                r-cran-patchwork,
@@ -38,7 +37,7 @@
                r-cran-progressr,
                r-cran-rann,
                r-cran-rcolorbrewer,
-               r-cran-rcpp (>= 1.0.7),
+               r-cran-rcpp,
                r-cran-rcppannoy,
                r-cran-rcpphnsw,
                r-cran-reticulate,
@@ -55,8 +54,10 @@
                r-cran-tibble,
                r-cran-uwot,
                r-cran-rcppeigen,
-               r-cran-rcppprogress
-Standards-Version: 4.7.2
+               r-cran-rcppprogress,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seurat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seurat.git
 Homepage: https://cran.r-project.org/package=Seurat

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-ape,
+        r-cran-base64enc,
         r-bioc-biobase,
         r-bioc-biocgenerics,
         r-cran-data.table,
@@ -12,7 +13,9 @@
         r-cran-ggrastr,
         r-cran-hdf5r,
         r-bioc-iranges,
+        r-cran-leidenbase,
         r-bioc-limma,
+        r-cran-magrittr,
         r-cran-metap,
         r-cran-mixtools,
         r-bioc-monocle,
@@ -21,6 +24,7 @@
         r-bioc-rtracklayer,
         r-bioc-s4vectors,
         r-cran-sf (>= 1.0-0),
+        r-cran-sp,
         r-bioc-singlecellexperiment,
         r-bioc-summarizedexperiment,
         r-cran-testthat,
